-- Create a free recipe for each fluid.
for i, fluid in pairs(data.raw["fluid"]) do
	data:extend(
	{
		{
			type = "recipe",
			name = creative_mode_defines.names.free_fluid_recipe_prefix .. fluid.name,
			localised_name = {"recipe-name.creative-mode_free-fluid", 50, {"fluid-name." .. fluid.name}},
			icon = fluid.icon,
			category = creative_mode_defines.names.recipe_categories.free_fluids,
			ingredients = {},
			results =
			{
				{type = "fluid", name = fluid.name, amount = 50}
			},
			main_product = "",
			subgroup = creative_mode_defines.names.item_subgroups.free_fluids,
			enabled = false
		}
	})
end

--[[
-- Returns whether the given item has the "hidden" flag.
local function has_hidden_flag(item)
	if not item.flags then
		return false
	end
	for _, flag in pairs(item.flags) do
		if flag == "hidden" then
			return true
		end
	end
	return false
end

-- Counts the items in data raw of the given name.
local function count_items(raw_name)
	local count = 0
	for _, item in pairs(data.raw[raw_name]) do
		-- Skip the hidden items. They are hidden for good reason.
		if creative_mode_config.creative_provider_chest.contain_hidden_items or not has_hidden_flag(item) then
			count = count + 1
		end
	end
	return count
end
--]]