-- Here are the values that are shared across different files.
creative_mode_defines = {}

-- Mod ID.
creative_mode_defines.mod_id = "creative-mode"
-- Path to the mod's directory.
creative_mode_defines.mod_directory = "__creative-mode__"
-- Prefix of the entity names and item names.
creative_mode_defines.name_prefix = "creative-mode_"

-- Dictionary about the empty.png
creative_mode_defines.empty_png = {}
-- Path to the empty.png
creative_mode_defines.empty_png.path = "__core__/graphics/empty.png"
-- Data about the empty.png
creative_mode_defines.empty_png.data = {filename = creative_mode_defines.empty_png.path, priority = "extra-high", width = 1,height = 1}
-- Data about the energy source for creative tools that doesn't require electricity.
creative_mode_defines.non_electric_energy_source = {type = "burner", effectivity = 1, fuel_inventory_size = 0}

-- Names and values
creative_mode_defines.names = {}
creative_mode_defines.values = {}

-- Entity names
creative_mode_defines.names.entities =
{
	item_source						= creative_mode_defines.name_prefix .. "item-source",
	item_void						= creative_mode_defines.name_prefix .. "item-void",
	duplicating_chest				= creative_mode_defines.name_prefix .. "duplicating-chest",
	duplicating_provider_chest		= creative_mode_defines.name_prefix .. "duplicating-provider-chest",
	void_requester_chest			= creative_mode_defines.name_prefix .. "void-requester-chest",
	creative_chest					= creative_mode_defines.name_prefix .. "creative-chest",
	creative_provider_chest			= creative_mode_defines.name_prefix .. "creative-provider-chest",
	fluid_source					= creative_mode_defines.name_prefix .. "fluid-source",
	fluid_void						= creative_mode_defines.name_prefix .. "fluid-void",
	duplicator						= creative_mode_defines.name_prefix .. "duplicator",
	energy_source					= creative_mode_defines.name_prefix .. "energy-source",
	passive_energy_source			= creative_mode_defines.name_prefix .. "passive-energy-source",
	energy_void						= creative_mode_defines.name_prefix .. "energy-void",
	passive_energy_void				= creative_mode_defines.name_prefix .. "passive-energy-void",
	configurable_energy_interface	= creative_mode_defines.name_prefix .. "configurable-energy-interface",
	super_electric_pole				= creative_mode_defines.name_prefix .. "super-electric-pole"
}
-- Item names
creative_mode_defines.names.items = 
{
	item_source						= creative_mode_defines.name_prefix .. "item-source",
	item_void						= creative_mode_defines.name_prefix .. "item-void",
	duplicating_chest				= creative_mode_defines.name_prefix .. "duplicating-chest",
	duplicating_provider_chest		= creative_mode_defines.name_prefix .. "duplicating-provider-chest",
	void_requester_chest			= creative_mode_defines.name_prefix .. "void-requester-chest",
	creative_chest					= creative_mode_defines.name_prefix .. "creative-chest",
	creative_provider_chest			= creative_mode_defines.name_prefix .. "creative-provider-chest",
	fluid_source					= creative_mode_defines.name_prefix .. "fluid-source",
	fluid_void						= creative_mode_defines.name_prefix .. "fluid-void",
	duplicator						= creative_mode_defines.name_prefix .. "duplicator",
	energy_source					= creative_mode_defines.name_prefix .. "energy-source",
	passive_energy_source			= creative_mode_defines.name_prefix .. "passive-energy-source",
	energy_void						= creative_mode_defines.name_prefix .. "energy-void",
	energy_absorption				= creative_mode_defines.name_prefix .. "energy-absorption",
	passive_energy_void				= creative_mode_defines.name_prefix .. "passive-energy-void",
	configurable_energy_interface	= creative_mode_defines.name_prefix .. "configurable-energy-interface",
	super_electric_pole				= creative_mode_defines.name_prefix .. "super-electric-pole"
}
-- Item group names
creative_mode_defines.names.item_groups =
{
	creative_tools = creative_mode_defines.name_prefix .. "creative-tools",
}
-- Item subgroup names
creative_mode_defines.names.item_subgroups =
{
	resources	= creative_mode_defines.name_prefix .. "resources",
	energy		= creative_mode_defines.name_prefix .. "energy",
	free_fluids	= creative_mode_defines.name_prefix .. "free-fluids"
}
-- Recipe names
creative_mode_defines.names.recipes =
{
	item_source						= creative_mode_defines.name_prefix .. "item-source",
	item_void						= creative_mode_defines.name_prefix .. "item-void",
	duplicating_chest				= creative_mode_defines.name_prefix .. "duplicating-chest",
	duplicating_provider_chest		= creative_mode_defines.name_prefix .. "duplicating-provider-chest",
	void_requester_chest			= creative_mode_defines.name_prefix .. "void-requester-chest",
	creative_chest					= creative_mode_defines.name_prefix .. "creative-chest",
	creative_provider_chest			= creative_mode_defines.name_prefix .. "creative-provider-chest",
	fluid_source					= creative_mode_defines.name_prefix .. "fluid-source",
	fluid_void						= creative_mode_defines.name_prefix .. "fluid-void",
	duplicator						= creative_mode_defines.name_prefix .. "duplicator",
	energy_source					= creative_mode_defines.name_prefix .. "energy-source",
	passive_energy_source			= creative_mode_defines.name_prefix .. "passive-energy-source",
	energy_void						= creative_mode_defines.name_prefix .. "energy-void",
	energy_absorption				= creative_mode_defines.name_prefix .. "energy-absorption",
	passive_energy_void				= creative_mode_defines.name_prefix .. "passive-energy-void",
	configurable_energy_interface	= creative_mode_defines.name_prefix .. "configurable-energy-interface",
	super_electric_pole				= creative_mode_defines.name_prefix .. "super-electric-pole"
}
-- Recipe category names
creative_mode_defines.names.recipe_categories =
{
	free_fluids			= creative_mode_defines.name_prefix .. "free-fluids",
	energy_absorption	= creative_mode_defines.name_prefix .. "energy-absorption"
}
-- Entity fast replaceable group names
creative_mode_defines.names.fast_replaceable_groups =
{
	item_source_void_duplicator	= creative_mode_defines.name_prefix .. "item-source-void-duplicator",
	creative_chest				= creative_mode_defines.name_prefix .. "creative-chest",
	fluid_source_void			= creative_mode_defines.name_prefix .. "fluid-source-void",
	energy_source_void			= creative_mode_defines.name_prefix .. "energy-source-void",
}
-- Interface name
creative_mode_defines.names.interface = "creative-mode"
-- GUI element names
creative_mode_defines.names.gui =
{
	popup										= creative_mode_defines.name_prefix .. "popup",
	popup_label									= creative_mode_defines.name_prefix .. "popup-label",
	popup_buttons_flow							= creative_mode_defines.name_prefix .. "popup-buttons-flow",
	
	enable_creative_mode_yes					= creative_mode_defines.name_prefix .. "enable-creative-mode_yes",
	enable_creative_mode_no						= creative_mode_defines.name_prefix .. "enable-creative-mode_no",
	
	permanent_disable_creative_mode_yes			= creative_mode_defines.name_prefix .. "permanent-disable-creative-mode_yes",
	permanent_disable_creative_mode_no			= creative_mode_defines.name_prefix .. "permanent-disable-creative-mode_no",
	
	
	
	
	cheats_table								= creative_mode_defines.name_prefix .. "cheats-table",
	
	cheats_label								= creative_mode_defines.name_prefix .. "cheats-label",
	cheats_select_all_btn						= creative_mode_defines.name_prefix .. "cheats-select-all-btn",
	
	cheats_cheat_mode_label						= creative_mode_defines.name_prefix .. "cheats-cheat-mode-label",
	cheats_cheat_mode_checkbox					= creative_mode_defines.name_prefix .. "cheats-cheat-mode-checkbox",
	
	cheats_loaders_label						= creative_mode_defines.name_prefix .. "cheats-loaders-label",
	cheats_loaders_checkbox						= creative_mode_defines.name_prefix .. "cheats-loaders-checkbox",
	
	cheats_technologies_label					= creative_mode_defines.name_prefix .. "cheats-technologies-label",
	cheats_technologies_checkbox				= creative_mode_defines.name_prefix .. "cheats-technologies-checkbox",
	
	cheats_always_day_label						= creative_mode_defines.name_prefix .. "cheats-always-day-label",
	cheats_always_day_checkbox					= creative_mode_defines.name_prefix .. "cheats-always-day-checkbox",
	
	cheats_character_reach_label				= creative_mode_defines.name_prefix .. "cheats-character-reach-label",
	cheats_character_reach_checkbox				= creative_mode_defines.name_prefix .. "cheats-character-reach-checkbox",
	
	cheats_character_mining_speed_label			= creative_mode_defines.name_prefix .. "cheats-character-mining-speed-label",
	cheats_character_mining_speed_checkbox		= creative_mode_defines.name_prefix .. "cheats-character-mining-speed-checkbox",
	
	cheats_character_running_speed_label		= creative_mode_defines.name_prefix .. "cheats-character-running-speed-label",
	cheats_character_running_speed_checkbox		= creative_mode_defines.name_prefix .. "cheats-character-running-speed-checkbox",
	
	cheats_instant_blueprint_label				= creative_mode_defines.name_prefix .. "cheats-instant-blueprint-label",
	cheats_instant_blueprint_checkbox			= creative_mode_defines.name_prefix .. "cheats-instant-blueprint-checkbox",
	
	cheats_instant_deconstruction_label			= creative_mode_defines.name_prefix .. "cheats-instant-deconstruction-label",
	cheats_instant_deconstruction_checkbox		= creative_mode_defines.name_prefix .. "cheats-instant-deconstruction-checkbox",
	
	cheats_enable_done							= creative_mode_defines.name_prefix .. "cheats-enable-done",
	cheats_disable_done							= creative_mode_defines.name_prefix .. "cheats-disable-done",
	
	
	
	
	entity_gui_container						= creative_mode_defines.name_prefix .. "entity-gui-container",
	entity_gui_button_container					= creative_mode_defines.name_prefix .. "entity-gui-button-container",
	entity_gui_frame							= creative_mode_defines.name_prefix .. "entity-gui-frame",
	entity_gui_label_container					= creative_mode_defines.name_prefix .. "entity-gui-label-container",
	entity_gui_label							= creative_mode_defines.name_prefix .. "entity-gui-label",
	
	creative_chest_open_button					= creative_mode_defines.name_prefix .. "creative-chest-open-button",
	creative_chest_item_group_container			= creative_mode_defines.name_prefix .. "creative-chest-item-group-container",
	creative_chest_item_group_label				= creative_mode_defines.name_prefix .. "creative-chest-item-group-label",
	creative_chest_item_group_number_label		= creative_mode_defines.name_prefix .. "creative-chest-item-group-number-label",
	creative_chest_item_group_left_button		= creative_mode_defines.name_prefix .. "creative-chest-item-group-left-button",
	creative_chest_item_group_right_button		= creative_mode_defines.name_prefix .. "creative-chest-item-group-right-button",
	creative_chest_display_mode_button			= creative_mode_defines.name_prefix .. "creative-chest-display-mode-button",
	creative_chest_toggle_all_button			= creative_mode_defines.name_prefix .. "creative-chest-toggle-all-button",
	creative_chest_filter_scroll_pane			= creative_mode_defines.name_prefix .. "creative-chest-filter-scroll-pane",
	creative_chest_filter_table					= creative_mode_defines.name_prefix .. "creative-chest-filter-table",
	creative_chest_filter_slot_prefix			= creative_mode_defines.name_prefix .. "creative-chest-filter-slot-",
}
-- GUI element captions.
creative_mode_defines.names.gui_captions =
{
	yes											= {"gui.creative-mode_yes"},
	no											= {"gui.creative-mode_no"},
	creative_chest_display_mode_original		= {"gui.creative-mode_switch-inventory-display-mode", {"gui.creative-mode_inventory-display-mode-original"}},
	creative_chest_display_mode_compact			= {"gui.creative-mode_switch-inventory-display-mode", {"gui.creative-mode_inventory-display-mode-compact"}},
}
-- GUI element styles.
creative_mode_defines.names.gui_styles =
{
	creative_chest_item_group_label				= "creative_mode_creative_chest_item_group_label_style",
	creative_chest_item_group_number_label		= "creative_mode_creative_chest_item_group_number_label_style",
	creative_chest_item_group_left_right_button	= "creative_mode_creative_chest_item_group_left_right_button_style",
	creative_chest_select_slot_label			= "creative_mode_creative_chest_select_slot_label_style",
	creative_chest_display_mode_button_original	= "creative_mode_creative_chest_original_display_mode_button_style",
	creative_chest_display_mode_button_compact	= "creative_mode_creative_chest_compact_display_mode_button_style",
	inventory_toggle_all_button 				= "creative_mode_inventory_toggle_all_button_style",
}

-- Prefix for the names of free fluid recipes
creative_mode_defines.names.free_fluid_recipe_prefix = creative_mode_defines.name_prefix .. "free-fluid-"

-- Patterns for matching strings.
creative_mode_defines.match_patterns = {}
creative_mode_defines.match_patterns.gui =
{
	creative_chest_filter_slot				= "creative%-mode_creative%-chest%-filter%-slot%-(%d+)"
}

-- The additional (hidden) items that should be contained in the creative provider chest
creative_mode_defines.values.creative_provider_chest_additional_content_names =
{
	creative_mode_defines.names.items.item_source,
	creative_mode_defines.names.items.item_void,
	creative_mode_defines.names.items.duplicating_chest,
	creative_mode_defines.names.items.duplicating_provider_chest,
	creative_mode_defines.names.items.void_requester_chest,
	creative_mode_defines.names.items.creative_chest,
	creative_mode_defines.names.items.creative_provider_chest,
	creative_mode_defines.names.items.fluid_source,
	creative_mode_defines.names.items.fluid_void,
	creative_mode_defines.names.items.duplicator,
	creative_mode_defines.names.items.energy_source,
	creative_mode_defines.names.items.passive_energy_source,
	creative_mode_defines.names.items.energy_void,
	creative_mode_defines.names.items.passive_energy_void,
	creative_mode_defines.names.items.super_electric_pole
}

-- The names of the loader recipes.
creative_mode_defines.names.loader_recipes =
{
	"loader",
	"fast-loader",
	"express-loader"
}