data:extend(
{
	{
		-- Item source
		type = "inserter",
		name = creative_mode_defines.names.entities.item_source,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/item-source.png",
		flags = {"placeable-player", "player-creation"},
		minable = {mining_time = 0.5, result = creative_mode_defines.names.items.item_source},
		max_health = 150,
		corpse = "small-remnants",
		fast_replaceable_group = creative_mode_defines.names.fast_replaceable_groups.item_source_void_duplicator,
		collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		open_sound = {filename = "__base__/sound/metallic-chest-open.ogg", volume = 0.65},
		close_sound = {filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7},
		vehicle_impact_sound =  {filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65},
		energy_per_movement = 1,
		energy_per_rotation = 1,
		energy_source = creative_mode_defines.non_electric_energy_source,
		pickup_position = {0, -100000},
		insert_position = {0, 1},
		extension_speed = 0,
		rotation_speed = 0,
		filter_count = 2,
		platform_picture =
		{
			sheet =
			{
				filename = creative_mode_defines.mod_directory .. "/graphics/entity/item-source.png",
				priority = "extra-high",
				width = 79,
				height = 63,
				shift = {0.140625, 0.140625},
			}
		},
		hand_base_picture = creative_mode_defines.empty_png.data,
		hand_closed_picture = creative_mode_defines.empty_png.data,
		hand_open_picture = creative_mode_defines.empty_png.data,
		hand_base_shadow = creative_mode_defines.empty_png.data,
		hand_closed_shadow = creative_mode_defines.empty_png.data,
		hand_open_shadow = creative_mode_defines.empty_png.data,
		circuit_wire_connection_point =
		{
			shadow =
			{
			  red = {0.890625, 0.390625},
			  green = {0.890625, 0.265625},
			},
			wire =
			{
			  red = {-0.28125, -0.25},
			  green = {-0.28125, -0.375},
			}
		},
		circuit_connector_sprites = get_circuit_connector_sprites({0, -0.125}, nil, 6),
		circuit_wire_max_distance = 1000
	},
	{
		-- Item void
		type = "inserter",
		name = creative_mode_defines.names.entities.item_void,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/item-void.png",
		flags = {"placeable-player", "player-creation"},
		minable = {mining_time = 0.5, result = creative_mode_defines.names.items.item_void},
		max_health = 150,
		corpse = "small-remnants",
		fast_replaceable_group = creative_mode_defines.names.fast_replaceable_groups.item_source_void_duplicator,
		collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		vehicle_impact_sound =  {filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65},
		energy_per_movement = 1,
		energy_per_rotation = 1,
		energy_source = creative_mode_defines.non_electric_energy_source,
		pickup_position = {0, -1},
		insert_position = {0, -100000},
		extension_speed = 0,
		rotation_speed = 0,
		filter_count = 1,
		platform_picture =
		{
			sheet =
			{
				filename = creative_mode_defines.mod_directory .. "/graphics/entity/item-void.png",
				priority = "extra-high",
				width = 79,
				height = 63,
				shift = {0.140625, 0.140625},
			}
		},
		hand_base_picture = creative_mode_defines.empty_png.data,
		hand_closed_picture = creative_mode_defines.empty_png.data,
		hand_open_picture = creative_mode_defines.empty_png.data,
		hand_base_shadow = creative_mode_defines.empty_png.data,
		hand_closed_shadow = creative_mode_defines.empty_png.data,
		hand_open_shadow = creative_mode_defines.empty_png.data,
		circuit_wire_connection_point =
		{
			shadow =
			{
			  red = {0.890625, 0.390625},
			  green = {0.890625, 0.265625},
			},
			wire =
			{
			  red = {-0.28125, -0.25},
			  green = {-0.28125, -0.375},
			}
		},
		circuit_connector_sprites = get_circuit_connector_sprites({0, -0.125}, nil, 6),
		circuit_wire_max_distance = 1000
	},
	{
		-- Duplicating chest
		type = "container",
		name = creative_mode_defines.names.entities.duplicating_chest,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/duplicating-chest.png",
		flags = {"placeable-player", "player-creation"},
		minable = {mining_time = 0.5, result = creative_mode_defines.names.items.duplicating_chest},
		max_health = 150,
		corpse = "small-remnants",
		fast_replaceable_group = "container",
		collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		vehicle_impact_sound =  {filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65},
		inventory_size = util.clamp(creative_mode_config.duplicating_provider_chest.inventory_size, 1, 255),
		open_sound = {filename = "__base__/sound/metallic-chest-open.ogg", volume = 0.65},
		close_sound = {filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7},
		picture =
		{
			filename = creative_mode_defines.mod_directory .. "/graphics/entity/duplicating-chest.png",
			priority = "extra-high",
			width = 48,
			height = 34,
			shift = {0.1875, 0}
		},
		circuit_wire_connection_point =
		{
			shadow =
			{
				red = {0.734375, 0.453125},
				green = {0.609375, 0.515625},
			},
			wire =
			{
				red = {0.40625, 0.21875},
				green = {0.40625, 0.375},
			}
		},
		circuit_wire_max_distance = 1000,
		circuit_connector_sprites = get_circuit_connector_sprites({0.1875, 0.15625}, nil, 18),
	},
	{
		-- Duplicating provider chest
		type = "logistic-container",
		name = creative_mode_defines.names.entities.duplicating_provider_chest,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/duplicating-provider-chest.png",
		flags = {"placeable-player", "player-creation"},
		minable = {mining_time = 0.5, result = creative_mode_defines.names.items.duplicating_provider_chest},
		max_health = 150,
		corpse = "small-remnants",
		fast_replaceable_group = "container",
		collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		vehicle_impact_sound =  {filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65},
		inventory_size = util.clamp(creative_mode_config.duplicating_provider_chest.inventory_size, 1, 255),
		logistic_mode = "passive-provider",
		open_sound = {filename = "__base__/sound/metallic-chest-open.ogg", volume = 0.65},
		close_sound = {filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7},
		picture =
		{
			filename = creative_mode_defines.mod_directory .. "/graphics/entity/duplicating-provider-chest.png",
			priority = "extra-high",
			width = 38,
			height = 32,
			shift = {0.09375, 0}
		},
		circuit_wire_connection_point =
		{
			shadow =
			{
				red = {0.734375, 0.453125},
				green = {0.609375, 0.515625},
			},
			wire =
			{
				red = {0.40625, 0.21875},
				green = {0.40625, 0.375},
			}
		},
		circuit_wire_max_distance = 1000,
		circuit_connector_sprites = get_circuit_connector_sprites({0.1875, 0.15625}, nil, 18),
	},
	{
		-- Void requester chest
		type = "logistic-container",
		name = creative_mode_defines.names.entities.void_requester_chest,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/void-requester-chest.png",
		flags = {"placeable-player", "player-creation"},
		minable = {mining_time = 0.5, result = creative_mode_defines.names.items.void_requester_chest},
		max_health = 150,
		corpse = "small-remnants",
		fast_replaceable_group = "container",
		collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		vehicle_impact_sound =  {filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65},
		inventory_size = util.clamp(creative_mode_config.void_requester_chest.inventory_size, 1, 255),
		logistic_mode = "requester",
		open_sound = {filename = "__base__/sound/metallic-chest-open.ogg", volume = 0.65},
		close_sound = {filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7},
		picture =
		{
			filename = creative_mode_defines.mod_directory .. "/graphics/entity/void-requester-chest.png",
			priority = "extra-high",
			width = 38,
			height = 32,
			shift = {0.09375, 0}
		},
		circuit_wire_connection_point =
		{
			shadow =
			{
				red = {0.734375, 0.453125},
				green = {0.609375, 0.515625},
			},
			wire =
			{
				red = {0.40625, 0.21875},
				green = {0.40625, 0.375},
			}
		},
		circuit_wire_max_distance = 1000,
		circuit_connector_sprites = get_circuit_connector_sprites({0.1875, 0.15625}, nil, 18),
	},
	{
		-- Creative chest
		type = "container",
		name = creative_mode_defines.names.entities.creative_chest,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/creative-chest.png",
		flags = {"placeable-player", "player-creation"},
		minable = {mining_time = 0.5, result = creative_mode_defines.names.items.creative_chest},
		max_health = 150,
		corpse = "small-remnants",
		fast_replaceable_group = creative_mode_defines.names.fast_replaceable_groups.creative_chest,
		additional_pastable_entities = {creative_mode_defines.names.entities.creative_provider_chest},
		collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		vehicle_impact_sound =  {filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65},
		inventory_size = util.clamp(creative_mode_config.creative_provider_chest.inventory_size, 1, 254) + 1,
		open_sound = {filename = "__base__/sound/metallic-chest-open.ogg", volume = 0.65},
		close_sound = {filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7},
		picture =
		{
			filename = creative_mode_defines.mod_directory .. "/graphics/entity/creative-chest.png",
			priority = "extra-high",
			width = 48,
			height = 34,
			shift = {0.1875, 0}
		},
		circuit_wire_connection_point =
		{
			shadow =
			{
				red = {0.734375, 0.453125},
				green = {0.609375, 0.515625},
			},
			wire =
			{
				red = {0.40625, 0.21875},
				green = {0.40625, 0.375},
			}
		},
		circuit_wire_max_distance = 1000,
		circuit_connector_sprites = get_circuit_connector_sprites({0.1875, 0.15625}, nil, 18),
	},
	{
		-- Creative provider chest
		type = "logistic-container",
		name = creative_mode_defines.names.entities.creative_provider_chest,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/creative-provider-chest.png",
		flags = {"placeable-player", "player-creation"},
		minable = {mining_time = 0.5, result = creative_mode_defines.names.items.creative_provider_chest},
		max_health = 150,
		corpse = "small-remnants",
		fast_replaceable_group = creative_mode_defines.names.fast_replaceable_groups.creative_chest,
		additional_pastable_entities = {creative_mode_defines.names.entities.creative_chest},
		collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		vehicle_impact_sound =  {filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65},
		inventory_size = util.clamp(creative_mode_config.creative_provider_chest.inventory_size, 1, 254) + 1,
		logistic_mode = "passive-provider",
		open_sound = {filename = "__base__/sound/metallic-chest-open.ogg", volume = 0.65},
		close_sound = {filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7},
		picture =
		{
			filename = creative_mode_defines.mod_directory .. "/graphics/entity/creative-provider-chest.png",
			priority = "extra-high",
			width = 38,
			height = 32,
			shift = {0.09375, 0}
		},
		circuit_wire_connection_point =
		{
			shadow =
			{
				red = {0.734375, 0.453125},
				green = {0.609375, 0.515625},
			},
			wire =
			{
				red = {0.40625, 0.21875},
				green = {0.40625, 0.375},
			}
		},
		circuit_wire_max_distance = 1000,
		circuit_connector_sprites = get_circuit_connector_sprites({0.1875, 0.15625}, nil, 18),
	},
	{
		-- Fluid source
		type = "assembling-machine",
		name = creative_mode_defines.names.entities.fluid_source,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/fluid-source.png",
		flags = {"placeable-player", "player-creation"},
		minable = {mining_time = 0.5, result = creative_mode_defines.names.items.fluid_source},
		max_health = 150,
		corpse = "small-remnants",
		fast_replaceable_group = creative_mode_defines.names.fast_replaceable_groups.fluid_source_void,
		collision_box = {{-0.29, -0.29}, {0.29, 0.29}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		vehicle_impact_sound = {filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65},
		fluid_boxes =
		{
			{
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{type = "input", position = {0, 1}}}
			},
			{
				production_type = "output",
				pipe_covers = pipecoverspictures(),
				base_level = 1,
				pipe_connections = {{position = {0, -1}}}
			}
		},
		animation =
		{
			north =
			{
				filename = creative_mode_defines.mod_directory .. "/graphics/entity/fluid-source-up.png",
				width = 46,
				height = 56,
				frame_count = 8,
				shift = {0.09375, 0.03125},
				animation_speed = 0.5
			},
			east =
			{
				filename = creative_mode_defines.mod_directory .. "/graphics/entity/fluid-source-right.png",
				width = 51,
				height = 56,
				frame_count = 8,
				shift = {0.265625, -0.21875},
				animation_speed = 0.5
			},
			south =
			{
				filename = creative_mode_defines.mod_directory .. "/graphics/entity/fluid-source-down.png",
				width = 61,
				height = 58,
				frame_count = 8,
				shift = {0.421875, -0.125},
				animation_speed = 0.5
			},
			west =
			{
				filename = creative_mode_defines.mod_directory .. "/graphics/entity/fluid-source-left.png",
				width = 56,
				height = 44,
				frame_count = 8,
				shift = {0.3125, 0.0625},
				animation_speed = 0.5
			}
		},
		energy_source = creative_mode_defines.non_electric_energy_source,
		energy_usage = "1W", -- Need to be at least 1W or the no energy signal will keep blinking
		crafting_speed = 1,
		ingredient_count = 0,
		crafting_categories = {creative_mode_defines.names.recipe_categories.free_fluids},
		module_specification = {module_slots = 0},
		allowed_effects = {"pollution"}
	},
	{
		-- Fluid void
		type = "storage-tank",
		name = creative_mode_defines.names.entities.fluid_void,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/fluid-void.png",
		flags = {"placeable-player", "player-creation"},
		minable = {mining_time = 0.5, result = creative_mode_defines.names.items.fluid_void},
		max_health = 150,
		corpse = "small-remnants",
		fast_replaceable_group = creative_mode_defines.names.fast_replaceable_groups.fluid_source_void,
		collision_box = {{-0.29, -0.29}, {0.29, 0.29}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		vehicle_impact_sound = {filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65},
		fluid_box =
		{
			base_area = 10000,
			pipe_covers = pipecoverspictures(),
			pipe_connections =
			{
				{ position = {0, 1} },
			},
		},
		window_bounding_box = {{0, 0}, {0, 0}},
		pictures =
		{
			picture =
			{
				sheet =
				{
					filename = creative_mode_defines.mod_directory .. "/graphics/entity/fluid-void.png",
					priority = "extra-high",
					frames = 4,
					width = 76,
					height = 70
				}
			},
			fluid_background = creative_mode_defines.empty_png.data,
			window_background = creative_mode_defines.empty_png.data,
			flow_sprite = creative_mode_defines.empty_png.data
		},
		flow_length_in_ticks = 10000,
		circuit_wire_connection_points =
		{
			{
				shadow =
				{
					red = {0.171875, 0.140625},
					green = {0.171875, 0.265625},
				},
				wire =
				{
					red = {-0.53125, -0.15625},
					green = {-0.53125, 0},
				}
			},
			{
				shadow =
				{
					red = {0.890625, 0.703125},
					green = {0.75, 0.75},
				},
				wire =
				{
					red = {0.34375, 0.28125},
					green = {0.34375, 0.4375},
				}
			},
			{
				shadow =
				{
					red = {0.15625, 0.0625},
					green = {0.09375, 0.125},
				},
				wire =
				{
					red = {-0.53125, -0.09375},
					green = {-0.53125, 0.03125},
				}
			},
			{
				shadow =
				{
					red = {0.796875, 0.703125},
					green = {0.625, 0.75},
				},
				wire =
				{
					red = {0.40625, 0.28125},
					green = {0.40625, 0.4375},
				}
			}
		},
		circuit_connector_sprites =
		{
			get_circuit_connector_sprites({-0.40625, -0.3125}, nil, 24),
			get_circuit_connector_sprites({0.125, 0.21875}, {0.34375, 0.40625}, 18),
			get_circuit_connector_sprites({-0.40625, -0.25}, nil, 24),
			get_circuit_connector_sprites({0.203125, 0.203125}, {0.25, 0.40625}, 18),
		},
		circuit_wire_max_distance = 1000
	},
	{
		-- Duplicator
		type = "inserter",
		name = creative_mode_defines.names.entities.duplicator,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/duplicator.png",
		flags = {"placeable-player", "player-creation"},
		minable = {mining_time = 0.5, result = creative_mode_defines.names.items.duplicator},
		max_health = 150,
		corpse = "small-remnants",
		fast_replaceable_group = creative_mode_defines.names.fast_replaceable_groups.item_source_void_duplicator,
		collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		open_sound = {filename = "__base__/sound/metallic-chest-open.ogg", volume = 0.65},
		close_sound = {filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7},
		vehicle_impact_sound =  {filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65},
		energy_per_movement = 1,
		energy_per_rotation = 1,
		energy_source = creative_mode_defines.non_electric_energy_source,
		pickup_position = {0, -100000},
		insert_position = {0, 1},
		extension_speed = 0,
		rotation_speed = 0,
		filter_count = 1,
		platform_picture =
		{
			sheet =
			{
				filename = creative_mode_defines.mod_directory .. "/graphics/entity/duplicator.png",
				priority = "extra-high",
				width = 79,
				height = 63,
				shift = {0.140625, 0.140625},
			}
		},
		hand_base_picture = creative_mode_defines.empty_png.data,
		hand_closed_picture = creative_mode_defines.empty_png.data,
		hand_open_picture = creative_mode_defines.empty_png.data,
		hand_base_shadow = creative_mode_defines.empty_png.data,
		hand_closed_shadow = creative_mode_defines.empty_png.data,
		hand_open_shadow = creative_mode_defines.empty_png.data,
		circuit_wire_connection_point =
		{
			shadow =
			{
			  red = {0.890625, 0.390625},
			  green = {0.890625, 0.265625},
			},
			wire =
			{
			  red = {-0.28125, -0.25},
			  green = {-0.28125, -0.375},
			}
		},
		circuit_connector_sprites = get_circuit_connector_sprites({0, -0.125}, nil, 6),
		circuit_wire_max_distance = 1000
	},
	
	{
		-- Active energy source
		type = "generator",
		name = creative_mode_defines.names.entities.energy_source,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/energy-source.png",
		flags = {"placeable-player", "player-creation"},
		minable = {mining_time = 0.5, result = creative_mode_defines.names.items.energy_source},
		max_health = 150,
		corpse = "medium-remnants",
		fast_replaceable_group = creative_mode_defines.names.fast_replaceable_groups.energy_source_void,
		collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
		selection_box = {{-1, -1}, {1, 1}},
		vehicle_impact_sound =  {filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65},
		effectivity = 1,
		fluid_usage_per_tick = 1000000000, -- This value affects the maximum energy output. Currently it is 5.4PW (GUI shows 5.1PW)
		fluid_box =
		{
			base_area = 0,
			pipe_connections = {}
		},
		energy_source =
		{
			type = "electric",
			usage_priority = "primary-output"
		},
		min_perceived_performance = 1,
		performance_to_sound_speedup = 0.5,
		horizontal_animation =
		{
			filename = creative_mode_defines.mod_directory .. "/graphics/entity/energy-source.png",
			width = 124,
			height = 103,
			frame_count = 1,
			line_length = 1,
			shift = {0.6875, -0.203125}
		},
		vertical_animation =
		{
			filename = creative_mode_defines.mod_directory .. "/graphics/entity/energy-source.png",
			width = 124,
			height = 103,
			frame_count = 1,
			line_length = 1,
			shift = {0.6875, -0.203125}
		},		
		smoke = {},
		working_sound =
		{
			sound =
			{
				filename = "__base__/sound/accumulator-working.ogg",
				volume = 1
			},
			idle_sound =
			{
				filename = "__base__/sound/accumulator-idle.ogg",
				volume = 0.4
			},
			max_sounds_per_type = 5
		}
	},
	{
		-- Passive energy source
		type = "accumulator",
		name = creative_mode_defines.names.entities.passive_energy_source,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/passive-energy-source.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = creative_mode_defines.names.items.passive_energy_source},
		max_health = 150,
		corpse = "medium-remnants",
		fast_replaceable_group = creative_mode_defines.names.fast_replaceable_groups.energy_source_void,
		collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
		selection_box = {{-1, -1}, {1, 1}},
		energy_source =
		{
			type = "electric",
			buffer_capacity = "5.4PW",
			usage_priority = "terciary",
			input_flow_limit = "0W",
			output_flow_limit = "5.4PW"
		},
		picture =
		{
			filename = creative_mode_defines.mod_directory .. "/graphics/entity/passive-energy-source.png",
			priority = "extra-high",
			width = 124,
			height = 103,
			shift = {0.6875, -0.203125}
		},
		charge_animation =
		{
			filename = creative_mode_defines.mod_directory .. "/graphics/entity/passive-energy-source-working.png",
			width = 147,
			height = 128,
			line_length = 8,
			frame_count = 24,
			shift = {0.390625, -0.53125},
			animation_speed = 0.5
		},
		charge_cooldown = 30,
		charge_light = {intensity = 0.3, size = 7},
		discharge_animation =
		{
			filename = creative_mode_defines.mod_directory .. "/graphics/entity/passive-energy-source-working.png",
			width = 147,
			height = 128,
			line_length = 8,
			frame_count = 24,
			shift = {0.390625, -0.53125},
			animation_speed = 0.5
		},
		discharge_cooldown = 60,
		discharge_light = {intensity = 0.7, size = 7},
		vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
		working_sound =
		{
			sound =
			{
				filename = "__base__/sound/accumulator-working.ogg",
				volume = 1
			},
			idle_sound = 
			{
				filename = "__base__/sound/accumulator-idle.ogg",
				volume = 0.4
			},
			max_sounds_per_type = 5
		},
		circuit_wire_connection_point =
		{
			shadow =
			{
				red = {0.984375, 1.10938},
				green = {0.890625, 1.10938}
			},
			wire =
			{
				red = {0.6875, 0.59375},
				green = {0.6875, 0.71875}
			}
		},
		circuit_connector_sprites = get_circuit_connector_sprites({0.46875, 0.5}, {0.46875, 0.8125}, 26),
		circuit_wire_max_distance = 1000,
		default_output_signal = "signal-A"
	},
	{
		-- Active energy void
		type = "assembling-machine",
		name = creative_mode_defines.names.entities.energy_void,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/energy-void.png",
		flags = {"placeable-player", "player-creation"},
		minable = {mining_time = 0.5, result = creative_mode_defines.names.items.energy_void},
		max_health = 150,
		corpse = "medium-remnants",
		fast_replaceable_group = creative_mode_defines.names.fast_replaceable_groups.energy_source_void,
		collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
		selection_box = {{-1, -1}, {1, 1}},
		fluid_boxes = {},
		animation =
		{
			filename = creative_mode_defines.mod_directory .. "/graphics/entity/energy-void.png",
			priority = "high",
			width = 124,
			height = 103,
			frame_count = 1,
			line_length = 1,
			shift = {0.6875, -0.203125}
		},
		vehicle_impact_sound =  {filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65},
		open_sound = {filename = "__base__/sound/machine-open.ogg", volume = 0.85},
		close_sound = {filename = "__base__/sound/machine-close.ogg", volume = 0.75},
		working_sound =
		{
			sound =
			{
				filename = "__base__/sound/accumulator-working.ogg",
				volume = 1
			},
			idle_sound =
			{
				filename = "__base__/sound/accumulator-idle.ogg",
				volume = 0.4
			},
			apparent_volume = 1.5,
		},
		crafting_categories = {creative_mode_defines.names.recipe_categories.energy_absorption},
		fixed_recipe = creative_mode_defines.names.recipes.energy_absorption,
		crafting_speed = 0,
		energy_source =
		{
		  type = "electric",
		  usage_priority = "secondary-input",
		  emissions = 0
		},
		energy_usage = "5.4PW",
		ingredient_count = 0,
		module_specification = {},
		allowed_effects = {"pollution"}
	},
	{
		-- Passive energy void
		type = "accumulator",
		name = creative_mode_defines.names.entities.passive_energy_void,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/passive-energy-void.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = creative_mode_defines.names.items.passive_energy_void},
		max_health = 150,
		corpse = "medium-remnants",
		fast_replaceable_group = creative_mode_defines.names.fast_replaceable_groups.energy_source_void,
		collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
		selection_box = {{-1, -1}, {1, 1}},
		energy_source =
		{
			type = "electric",
			buffer_capacity = "5.4PW",
			usage_priority = "terciary",
			input_flow_limit = "5.4PW",
			output_flow_limit = "0W"
		},
		picture =
		{
			filename = creative_mode_defines.mod_directory .. "/graphics/entity/passive-energy-void.png",
			priority = "extra-high",
			width = 124,
			height = 103,
			shift = {0.6875, -0.203125}
		},
		charge_animation =
		{
			filename = creative_mode_defines.mod_directory .. "/graphics/entity/passive-energy-void-working.png",
			width = 147,
			height = 128,
			line_length = 8,
			frame_count = 24,
			shift = {0.390625, -0.53125},
			animation_speed = 0.5
		},
		charge_cooldown = 30,
		charge_light = {intensity = 0.3, size = 7},
		discharge_animation =
		{
			filename = creative_mode_defines.mod_directory .. "/graphics/entity/passive-energy-void-working.png",
			width = 147,
			height = 128,
			line_length = 8,
			frame_count = 24,
			shift = {0.390625, -0.53125},
			animation_speed = 0.5
		},
		discharge_cooldown = 60,
		discharge_light = {intensity = 0.7, size = 7},
		vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
		working_sound =
		{
			sound =
			{
				filename = "__base__/sound/accumulator-working.ogg",
				volume = 1
			},
			idle_sound = 
			{
				filename = "__base__/sound/accumulator-idle.ogg",
				volume = 0.4
			},
			max_sounds_per_type = 5
		},
		circuit_wire_connection_point =
		{
			shadow =
			{
				red = {0.984375, 1.10938},
				green = {0.890625, 1.10938}
			},
			wire =
			{
				red = {0.6875, 0.59375},
				green = {0.6875, 0.71875}
			}
		},
		circuit_connector_sprites = get_circuit_connector_sprites({0.46875, 0.5}, {0.46875, 0.8125}, 26),
		circuit_wire_max_distance = 1000,
		default_output_signal = "signal-A"
	},
	{
		-- Super electric pole
		type = "electric-pole",
		name = creative_mode_defines.names.entities.super_electric_pole,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/super-electric-pole.png",
		flags = {"placeable-player", "player-creation"},
		minable = {mining_time = 0.5, result = creative_mode_defines.names.items.super_electric_pole},
		max_health = 150,
		corpse = "medium-remnants",
		collision_box = {{-0.65, -0.65}, {0.65, 0.65}},
		selection_box = {{-1, -1}, {1, 1}},
		drawing_box = {{-1, -3}, {1, 0.5}},
		maximum_wire_distance = 150,
		supply_area_distance = 100,
		vehicle_impact_sound =  {filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65},
		pictures =
		{
			filename = creative_mode_defines.mod_directory .. "/graphics/entity/super-electric-pole.png",
			priority = "high",
			width = 168,
			height = 165,
			direction_count = 4,
			shift = {1.6, -1.1}
		},
		connection_points =
		{
			{
				shadow =
				{
					copper = {2.7, 0},
					green = {1.8, 0},
					red = {3.6, 0}
				},
				wire =
				{
					copper = {0, -3.125},
					green = {-0.59375, -3.125},
					red = {0.625, -3.125}
				}
			},
			{
				shadow =
				{
					copper = {3.1, 0.2},
					green = {2.3, -0.3},
					red = {3.8, 0.6}
				},
				wire =
				{
					copper = {-0.0625, -3.125},
					green = {-0.5, -3.4375},
					red = {0.34375, -2.8125}
				}
			},
			{
				shadow =
				{
					copper = {2.9, 0.06},
					green = {3.0, -0.6},
					red = {3.0, 0.8}
				},
				wire =
				{
					copper = {-0.09375, -3.09375},
					green = {-0.09375, -3.53125},
					red = {-0.09375, -2.65625}
				}
			},
			{
				shadow =
				{
					copper = {3.1, 0.2},
					green = {3.8, -0.3},
					red = {2.35, 0.6}
				},
				wire =
				{
					copper = {-0.0625, -3.1875},
					green = {0.375, -3.5},
					red = {-0.46875, -2.90625}
				}
			}
		},
		radius_visualisation_picture =
		{
			filename = "__base__/graphics/entity/small-electric-pole/electric-pole-radius-visualization.png",
			width = 12,
			height = 12,
			priority = "extra-high-no-scale"
		}
	}
})