data:extend(
{
	-- The items are hidden so they are not shown on the logistic slots when Creative Mode is not enabled.
	-- Currently there is no way to unhide them.
	{
		-- Item source
		type = "item",
		name = creative_mode_defines.names.items.item_source,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/item-source.png",
		flags = {"goes-to-quickbar", "hidden"},
		subgroup = creative_mode_defines.names.item_subgroups.resources,
		order = "a",
		place_result = creative_mode_defines.names.entities.item_source,
		stack_size = 50
	},
	{
		-- Item void
		type = "item",
		name = creative_mode_defines.names.items.item_void,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/item-void.png",
		flags = {"goes-to-quickbar", "hidden"},
		subgroup = creative_mode_defines.names.item_subgroups.resources,
		order = "b",
		place_result = creative_mode_defines.names.entities.item_void,
		stack_size = 50
	},
	{
		-- Duplicating chest
		type = "item",
		name = creative_mode_defines.names.items.duplicating_chest,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/duplicating-chest.png",
		flags = {"goes-to-quickbar", "hidden"},
		subgroup = creative_mode_defines.names.item_subgroups.resources,
		order = "c",
		place_result = creative_mode_defines.names.entities.duplicating_chest,
		stack_size = 50
	},
	{
		-- Duplicating provider chest
		type = "item",
		name = creative_mode_defines.names.items.duplicating_provider_chest,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/duplicating-provider-chest.png",
		flags = {"goes-to-quickbar", "hidden"},
		subgroup = creative_mode_defines.names.item_subgroups.resources,
		order = "d",
		place_result = creative_mode_defines.names.entities.duplicating_provider_chest,
		stack_size = 50
	},
	{
		-- Void requester chest
		type = "item",
		name = creative_mode_defines.names.items.void_requester_chest,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/void-requester-chest.png",
		flags = {"goes-to-quickbar", "hidden"},
		subgroup = creative_mode_defines.names.item_subgroups.resources,
		order = "e",
		place_result = creative_mode_defines.names.entities.void_requester_chest,
		stack_size = 50
	},
	{
		-- Creative chest
		type = "item",
		name = creative_mode_defines.names.items.creative_chest,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/creative-chest.png",
		flags = {"goes-to-quickbar", "hidden"},
		subgroup = creative_mode_defines.names.item_subgroups.resources,
		order = "f",
		place_result = creative_mode_defines.names.entities.creative_chest,
		stack_size = 50
	},
	{
		-- Creative provider chest
		type = "item",
		name = creative_mode_defines.names.items.creative_provider_chest,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/creative-provider-chest.png",
		flags = {"goes-to-quickbar", "hidden"},
		subgroup = creative_mode_defines.names.item_subgroups.resources,
		order = "g",
		place_result = creative_mode_defines.names.entities.creative_provider_chest,
		stack_size = 50
	},
	{
		-- Fluid source
		type = "item",
		name = creative_mode_defines.names.items.fluid_source,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/fluid-source.png",
		flags = {"goes-to-quickbar", "hidden"},
		subgroup = creative_mode_defines.names.item_subgroups.resources,
		order = "h",
		place_result = creative_mode_defines.names.entities.fluid_source,
		stack_size = 50
	},
	{
		-- Fluid void
		type = "item",
		name = creative_mode_defines.names.items.fluid_void,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/fluid-void.png",
		flags = {"goes-to-quickbar", "hidden"},
		subgroup = creative_mode_defines.names.item_subgroups.resources,
		order = "i",
		place_result = creative_mode_defines.names.entities.fluid_void,
		stack_size = 50
	},
	{
		-- Duplicator
		type = "item",
		name = creative_mode_defines.names.items.duplicator,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/duplicator.png",
		flags = {"goes-to-quickbar", "hidden"},
		subgroup = creative_mode_defines.names.item_subgroups.resources,
		order = "j",
		place_result = creative_mode_defines.names.entities.duplicator,
		stack_size = 50
	},
	
	{
		-- Active energy source
		type = "item",
		name = creative_mode_defines.names.items.energy_source,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/energy-source.png",
		flags = {"goes-to-quickbar", "hidden"},
		subgroup = creative_mode_defines.names.item_subgroups.energy,
		order = "a",
		place_result = creative_mode_defines.names.entities.energy_source,
		stack_size = 50
	},
	{
		-- Passive energy source
		type = "item",
		name = creative_mode_defines.names.items.passive_energy_source,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/passive-energy-source.png",
		flags = {"goes-to-quickbar", "hidden"},
		subgroup = creative_mode_defines.names.item_subgroups.energy,
		order = "b",
		place_result = creative_mode_defines.names.entities.passive_energy_source,
		stack_size = 50
	},
	{
		-- Active energy void
		type = "item",
		name = creative_mode_defines.names.items.energy_void,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/energy-void.png",
		flags = {"goes-to-quickbar", "hidden"},
		subgroup = creative_mode_defines.names.item_subgroups.energy,
		order = "c",
		place_result = creative_mode_defines.names.entities.energy_void,
		stack_size = 50
	},
	{
		-- Dummy item for energy void to absorb energy.
		type = "item",
		name = creative_mode_defines.names.items.energy_absorption,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/energy-absorption.png",
		flags = {"goes-to-main-inventory", "hidden"},
		subgroup = creative_mode_defines.names.item_subgroups.energy,
		order = "z",
		stack_size = 50
	},
	{
		-- Passive energy void
		type = "item",
		name = creative_mode_defines.names.items.passive_energy_void,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/passive-energy-void.png",
		flags = {"goes-to-quickbar", "hidden"},
		subgroup = creative_mode_defines.names.item_subgroups.energy,
		order = "d",
		place_result = creative_mode_defines.names.entities.passive_energy_void,
		stack_size = 50
	},
	{
		-- Super electric pole
		type = "item",
		name = creative_mode_defines.names.items.super_electric_pole,
		icon = creative_mode_defines.mod_directory .. "/graphics/icons/super-electric-pole.png",
		flags = {"goes-to-quickbar", "hidden"},
		subgroup = creative_mode_defines.names.item_subgroups.energy,
		order = "e",
		place_result = creative_mode_defines.names.entities.super_electric_pole,
		stack_size = 50
	}
})