-- Makes and returns a graphical set according to the given properties.
local function extract_monolith(file_name, x, y, width, height)
	return
	{
		type = "monolith",
		top_monolith_border = 0,
		right_monolith_border = 0,
		bottom_monolith_border = 0,
		left_monolith_border = 0,
		monolith_image =
		{
			filename = creative_mode_defines.mod_directory .. "/graphics/gui/" .. file_name,
			priority = "extra-high-no-scale",
			width = width,
			height = height,
			x = x,
			y = y
		},
	}
end
-- Create styles.
local default_style = data.raw["gui-style"].default
local inventory_slot_width = 36
local big_button_width_height = 36
local creative_chest_item_group_left_right_button_width = 20
local creative_chest_item_group_number_label_width = 60
-- The creative chest item-group label style.
default_style[creative_mode_defines.names.gui_styles.creative_chest_item_group_label] =
{
	type = "label_style",
	parent = "label_style",
	width = (inventory_slot_width * 10 + 1 * 9) - (creative_chest_item_group_left_right_button_width * 2 + creative_chest_item_group_number_label_width)
}
-- The creative chest item-group-number label style.
default_style[creative_mode_defines.names.gui_styles.creative_chest_item_group_number_label] =
{
	type = "label_style",
	parent = creative_mode_defines.names.gui_styles.creative_chest_item_group_label,
	align = "center",
	width = creative_chest_item_group_number_label_width,
}
-- The creative chest item-group left or right button style.
default_style[creative_mode_defines.names.gui_styles.creative_chest_item_group_left_right_button] =
{
	type = "button_style",
	parent = "button_style",
	scalable = false,
	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,	
	width = creative_chest_item_group_left_right_button_width,
	height = big_button_width_height,
}
-- The creative chest select-slot label style.
default_style[creative_mode_defines.names.gui_styles.creative_chest_select_slot_label] =
{
	type = "label_style",
	parent = creative_mode_defines.names.gui_styles.creative_chest_item_group_label,
	width = (inventory_slot_width * 10 + 1 * 9) - (big_button_width_height * 2)
}
-- The 36x36 original display mode button style.
default_style[creative_mode_defines.names.gui_styles.creative_chest_display_mode_button_original] =
{
	type = "button_style",
	parent = "creative_mode_inventory_toggle_all_button_style",
	default_graphical_set = extract_monolith("big-buttons.png", big_button_width_height * 0, big_button_width_height * 1, big_button_width_height, big_button_width_height),
	hovered_graphical_set = extract_monolith("big-buttons.png", big_button_width_height * 1, big_button_width_height * 1, big_button_width_height, big_button_width_height),
	clicked_graphical_set = extract_monolith("big-buttons.png", big_button_width_height * 2, big_button_width_height * 1, big_button_width_height, big_button_width_height),
	disabled_graphical_set = extract_monolith("big-buttons.png", big_button_width_height * 3, big_button_width_height * 1, big_button_width_height, big_button_width_height),
}
-- The 36x36 compact display mode button style.
default_style[creative_mode_defines.names.gui_styles.creative_chest_display_mode_button_compact] =
{
	type = "button_style",
	parent = "creative_mode_inventory_toggle_all_button_style",
	default_graphical_set = extract_monolith("big-buttons.png", big_button_width_height * 0, big_button_width_height * 2, big_button_width_height, big_button_width_height),
	hovered_graphical_set = extract_monolith("big-buttons.png", big_button_width_height * 1, big_button_width_height * 2, big_button_width_height, big_button_width_height),
	clicked_graphical_set = extract_monolith("big-buttons.png", big_button_width_height * 2, big_button_width_height * 2, big_button_width_height, big_button_width_height),
	disabled_graphical_set = extract_monolith("big-buttons.png", big_button_width_height * 3, big_button_width_height * 2, big_button_width_height, big_button_width_height),
}
-- The 36x36 toggle all button style.
default_style[creative_mode_defines.names.gui_styles.inventory_toggle_all_button] =
{
    type = "button_style",
	parent = "button_style",
	scalable = false,
	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	width = big_button_width_height,
	height = big_button_width_height,
	default_graphical_set = extract_monolith("big-buttons.png", big_button_width_height * 0, big_button_width_height * 0, big_button_width_height, big_button_width_height),
	hovered_graphical_set = extract_monolith("big-buttons.png", big_button_width_height * 1, big_button_width_height * 0, big_button_width_height, big_button_width_height),
	clicked_graphical_set = extract_monolith("big-buttons.png", big_button_width_height * 2, big_button_width_height * 0, big_button_width_height, big_button_width_height),
	disabled_graphical_set = extract_monolith("big-buttons.png", big_button_width_height * 3, big_button_width_height * 0, big_button_width_height, big_button_width_height),
}