-- This file contains variables or functions that are related to the Void Requester Chest family in this mod.
if not void_requester_chest then void_requester_chest = {} end

-- Processes the tables related to Void Requester Chest in global.
function void_requester_chest.tick()
	if #global.creative_mode.void_requester_chest <= 0 then
		global.creative_mode.void_requester_chest_next_update_index = 1
		return
	end
	
	local chest_index = global.creative_mode.void_requester_chest_next_update_index
	for i = 1, 10, 1 do
		local chest = global.creative_mode.void_requester_chest[chest_index]
		if chest.valid then
			if not chest.to_be_deconstructed(chest.force) then
				-- Clear its inventory.
				chest.get_output_inventory().clear()
			end
			
			-- Prepare for the next chest.
			chest_index = chest_index + 1
			-- No more next chest. Return to the first chest.
			if chest_index > #global.creative_mode.void_requester_chest then
				global.creative_mode.void_requester_chest_next_update_index = 1
				return
			end
		else
			table.remove(global.creative_mode.void_requester_chest, chest_index)
			if chest_index > #global.creative_mode.void_requester_chest then
				global.creative_mode.void_requester_chest_next_update_index = 1
				return
			end
		end
	end
	-- Set the index of the next chest to update.
	global.creative_mode.void_requester_chest_next_update_index = chest_index
end